Escal et SPIP 4.0

Yann
le 10 juillet
à 19:42
Rappel du sujet :

Hello,
Je suis passé en SPIP 4.0 pour l’un de mes sites et il semble que mini calendrier ne soit pas compatible. L’affichage dans le bloc latéral d’Escal est totalement incohérent, de même que l’affichage du calendrier en pleine page où...la page est vide. Egalement concernant le bloc derniers articles, il y a dysfonctionnement. Si on choisit "x" articles en plus de celui en exergue on obtient tous les articles en exergue...
Yann

Escal et SPIP 4.0

Hello

De mon côté, je n’ai pas de souci avec le mini-calendrier. Par contre, j’ai bien un agenda vide. Je vais regarder ça.

Pour les derniers articles, il faut installer le plugin Jquery UI qui n’est plus installé par défaut en spip4

Escal et SPIP 4.0

Hello,
Pour le mini-calendrier, ça devait être un problème de cache. Juste quand on développe les événements à venir, ce n’est pas très propre. Par contre pour les derniers articles cela ne change rien. En exemple : Alls Judo

Escal et SPIP 4.0

Ah oui, je reproduis le souci pour les derniers articles. Je vais regarder ça aussi. Chez moi, l’agenda s’affiche bien mais sans les évènements. Je vais regarder aussi pour la pagination des évènements à venir.

Escal et SPIP 4.0

Pour l’agenda, il faut déjà installer le plugin FullCalendar Compat mais ça ne suffira pas.

Escal et SPIP 4.0

J’ai installé le plugin FullCalendar et je récupère bien le calendrier pleine page.

Escal et SPIP 4.0

Cool ! Et tu as même tes évènements, contrairement à moi.

Escal et SPIP 4.0

Oui ! 🙂 Qu’y a t-il de différent chez moi pour que ça marche ? Mystère. J’ai juste un fichier agenda.html adapté pour conserver les blocs latéraux dans squelettes, mais sinon rien d’autre.

Escal et SPIP 4.0

En effet mystère !

Sinon, je viens juste de livrer la version 4.5.6 qui règle le problème de la pagination dans le bloc évènements et le problème du bloc identification.

Escal et Spip 4

Super, merci. Il devrait rester le souci des derniers articles alors.

Escal et SPIP 4.0

Oui c’est ça mais ça passe par du javascript et mes compétences s’arrêtent au copier-coller dans ce domaine  🙁

Escal et SPIP 4.0

Euh, je me casse les dents aussi. Je me rappelle avoir galéré des jours entiers sur un formulaire contenant du JavaScript. Peut-être qu’une bonne âme pourra aider ! Pourquoi ça marche en spip 3.2 et pas en spip 4 ?

Escal et SPIP 4.0

La version 4.5.7 devrait résoudre le problème des derniers articles. Merci à Jean-Marie.

Escal et SPIP 4.0

Merci beaucoup. C’est nickel.

Escal et SPIP 4.0

Ceci dit, je trouve que ce serait mieux d’utiliser "Derniers articles ter" ou de mettre ton article dans un onglet "article d’accueil" car là, l’effet javascript donne un résultat pas très esthétique à mon avis.

Escal et SPIP 4.0

Oui en effet. Je vais regarder ça !

Impossible de charger escal 458

Bonjour Jean Christophe,
Je passe à SPIP 4 pour un nouveau site. Je n’arrive pas à installer Escal. (Même souci que Yann). Cela semble même plus profond... puisque je ne peux même pas installer Escal. Il refuse de l’activer en raison de la dépendance des plugins suivants qu’il est aussi impossibles de trouver via les procédures automatiques !

• Le plugin Agenda dépend du plugin CALENDRIERMINI ≥ 2.4.0.
• Le plugin Escal dépend du plugin AGENDA ≥ 4.3.0.
• Le plugin Escal dépend du plugin SAISIES ≥ 3.54.1.

J’ai viré tous les plugins dans répertoire auto.
Dois-je installer manuellement ces plugins ?

Luc

Installation escal 458

Je vous propose la procédure que j’ai suivi si cela peut aider (dans la suite du message précédent).
(je passais d’un site en SPIP3 à SPIP4)
J’ai retiré tous les plugins qui se trouvaient dans /plugins/auto
J’ai téléchargé et installé manuellement les plugins calendrier et saisies. Ils ont été installés dans la rubrique /plugins.
Ensuite, l’installation d’Escal 458 a pu être engagé. Celui-ci m’a proposé d’installer automatiquement les plugins suivants :

Actions demandées :

Activer le plugin « Escal » (version : 4.5.8)

Les actions supplémentaires suivantes seront effectuées :

Télécharger et activer le plugin « Agenda » (version : 4.3.4)
Télécharger et activer le plugin « SVP Statistiques » (version : 1.0.0)
Télécharger et activer le plugin « NoSPAM » (version : 2.2.1)

La suite au prochain numéro. Jean Christophe n’hésite pas à supprimer ces messages si ce n’est pas utile ici.
Luc

Installation escal

Hello

Je pense qu’après la mise à niveau de spip, il faut supprimer le dépôt des plugins et le réinstaller.
Il faut aussi créer un fichier mes_options.php dans le dossier /config avec ce code

<?php
define('_DEV_VERSION_SPIP_COMPAT',"3.2.99");

pour pouvoir utiliser des plugins qui n’ont pas encore été déclarés compatibles spip4 comme svpstats notamment.

Reagir au sujet
Qui êtes-vous ?
Votre message

Pour créer des paragraphes, laissez simplement des lignes vides.

Ajouter un document